## AwnOverlay AwnOverlay |

## Functions

AwnOverlay * | awn_overlay_new ()
void | awn_overlay_render ()
void | awn_overlay_move_to ()
gboolean | awn_overlay_get_apply_effects ()
void | awn_overlay_set_apply_effects ()
gboolean | awn_overlay_get_use_source_op ()
void | awn_overlay_set_use_source_op ()

## Properties

gboolean | active | Read / Write / Construct
gint | align | Read / Write / Construct
gboolean | apply-effects | Read / Write
GdkGravity | gravity | Read / Write / Construct
gboolean | use-source-op | Read / Write
gdouble | x-adj | Read / Write / Construct
gdouble | x-override | Read / Write / Construct
gdouble | y-adj | Read / Write / Construct
gdouble | y-override | Read / Write / Construct

## Types and Values

| AwnOverlayClass
| AwnOverlayCoord
enum | AwnOverlayAlign

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── AwnOverlay
                ├── AwnOverlayPixbuf
                ├── AwnOverlayProgress
                ├── AwnOverlayText
                ├── AwnOverlayThemedIcon
                ╰── AwnOverlayThrobber

## Description

## Functions

### awn_overlay_new ()

    AwnOverlay *
    awn_overlay_new (void);

### awn_overlay_render ()

    void
    awn_overlay_render (AwnOverlay *overlay,
                        GtkWidget *widget,
                        cairo_t *cr,
                        gint width,
                        gint height);

### awn_overlay_move_to ()

    void
    awn_overlay_move_to (AwnOverlay *overlay,
                         cairo_t *cr,
                         gint icon_width,
                         gint icon_height,
                         gint overlay_width,
                         gint overlay_height,
                         AwnOverlayCoord *coord_req);

### awn_overlay_get_apply_effects ()

    gboolean
    awn_overlay_get_apply_effects (AwnOverlay *overlay);

### awn_overlay_set_apply_effects ()

    void
    awn_overlay_set_apply_effects (AwnOverlay *overlay,
                                   gboolean value);

### awn_overlay_get_use_source_op ()

    gboolean
    awn_overlay_get_use_source_op (AwnOverlay *overlay);

### awn_overlay_set_use_source_op ()

    void
    awn_overlay_set_use_source_op (AwnOverlay *overlay,
                                   gboolean value);

## Types and Values

### AwnOverlayClass

    typedef struct {
        GInitiallyUnownedClass parent_class;

        void (*render)(AwnOverlay* overlay,
                       GtkWidget* widget,
                       cairo_t* cr,
                       gint width,
                       gint height);
    } AwnOverlayClass;

Of interest to implementors of AwnOverlay subclasses.

#### Members

`render` () | Virtual function of the form void render (AwnOverlay* overlay, GtkWidget *widget, cairo_t * cr, gint width, gint height) |

### AwnOverlayCoord

    typedef struct {
        gdouble x;
        gdouble y;
    } AwnOverlayCoord;

Structure contains x,y coordinates.

#### Members

gdouble `x`; | Horizontal position as a gdouble. |
gdouble `y`; |  |

### enum AwnOverlayAlign

An enum for horizontal alignment relative to the GdkGravity specified for an AwnOverlay. Possible values are `AWN_OVERLAY_ALIGN_CENTRE`, `AWN_OVERLAY_ALIGN_LEFT` and `AWN_OVERLAY_ALIGN_RIGHT`

#### Members

AWN_OVERLAY_ALIGN_CENTRE | Centre alignment. |
AWN_OVERLAY_ALIGN_LEFT | Left alignment. |
AWN_OVERLAY_ALIGN_RIGHT | Right alignment. |

## Property Details

### The `“active”` property

      “active”                   gboolean

Active.

Flags: Read / Write / Construct

Default value: TRUE

### The `“align”` property

      “align”                    gint

Align.

Flags: Read / Write / Construct

Allowed values: [0,2]

Default value: 0

### The `“apply-effects”` property

      “apply-effects”            gboolean

Apply Effects.

Flags: Read / Write

Default value: TRUE

### The `“gravity”` property

      “gravity”                  GdkGravity

Gravity.

Flags: Read / Write / Construct

Default value: GDK_GRAVITY_CENTER

### The `“use-source-op”` property

      “use-source-op”            gboolean

Replaces previous content beneath the overlay.

Flags: Read / Write

Default value: FALSE

### The `“x-adj”` property

      “x-adj”                    gdouble

X adjust.

Flags: Read / Write / Construct

Allowed values: [-1,1]

Default value: 0

### The `“x-override”` property

      “x-override”               gdouble

X Override.

Flags: Read / Write / Construct

Allowed values: [-10000,1000]

Default value: -10000

### The `“y-adj”` property

      “y-adj”                    gdouble

Y adjust.

Flags: Read / Write / Construct

Allowed values: [-1,1]

Default value: 0

### The `“y-override”` property

      “y-override”               gdouble

Y Override.

Flags: Read / Write / Construct

Allowed values: [-10000,1000]

Default value: -10000